Update Account
This endpoint allows you to update an account for a merchant under your franchise.
Authentication
X-Auth-Clientstring
The client ID of the franchise API account.
OR
X-Auth-Tokenstring
An OAuth token generated from the franchise API account.
To authenticate, generate an **OAuth Token** (if you donʼt have one or itʼs expired):
```http
POST https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/oauth/token
Accept: application/json
X-Auth-Client: {client_id}
X-Auth-Secret: {client_secret}
{
"duration": 900
}
```
Response:
```json
{
"access_token": "dlkJcn34...Lkd012",
"expires_at": "2018-04-24T16:15:26.509045122Z”
}
```
After you generate an **OAuth token**, use the `client_id` and `oauth_token` to authenticate all other API requests:
```http
GET https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/accounts/123
Accept: application/json
X-Auth-Client: {client_id}
X-Auth-Token: {oauth_token}
```
Response:
```json
{
"data": {
"id": "12345678910",
"name": "Test Company",
...
},
"meta": {}
}
```
Path parameters
account_id
Request
Fields available for updating.
name
Name of the Company that the Account was created for
primary_contact
Primary contact for the Account
billing_contact
Billing contact information for the Account
Response
Success
data
meta
Errors
400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
502
Bad Gateway Error
503
Service Unavailable Error
504
Gateway Timeout Error